## GtkOldEditable GtkOldEditable |

## Functions

void | (*GtkTextFunction) ()
void | gtk_old_editable_claim_selection ()
void | gtk_old_editable_changed ()

## Properties

gboolean | editable | Read / Write
gint | text-position | Read / Write

## Signals

void | activate | Action
void | copy-clipboard | Action
void | cut-clipboard | Action
void | kill-char | Action
void | kill-line | Action
void | kill-word | Action
void | move-cursor | Action
void | move-page | Action
void | move-to-column | Action
void | move-to-row | Action
void | move-word | Action
void | paste-clipboard | Action
void | set-editable | Action

## Types and Values

struct | GtkOldEditable

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkOldEditable
                        ╰── GtkText

## Implemented Interfaces

GtkOldEditable implements AtkImplementorIface, GtkBuildable and GtkEditable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### GtkTextFunction ()

    void
    (*GtkTextFunction) (GtkOldEditable *editable,
                        guint32 time_);

`GtkTextFunction` is deprecated and should not be used in newly-written code.

### gtk_old_editable_claim_selection ()

    void
    gtk_old_editable_claim_selection (GtkOldEditable *old_editable,
                                      gboolean claim,
                                      guint32 time_);

`gtk_old_editable_claim_selection` is deprecated and should not be used in newly-written code.

Claims or gives up ownership of the selection.

#### Parameters

old_editable | a GtkOldEditable |
claim | if `TRUE`, claim ownership of the selection, if `FALSE`, give up ownership |
time_ | timestamp for this operation |

### gtk_old_editable_changed ()

    void
    gtk_old_editable_changed (GtkOldEditable *old_editable);

`gtk_old_editable_changed` is deprecated and should not be used in newly-written code.

Emits the ::changed signal on `old_editable` .

#### Parameters

old_editable | a GtkOldEditable |

## Types and Values

### struct GtkOldEditable

    struct GtkOldEditable {
      guint      current_pos;

      guint      selection_start_pos;
      guint      selection_end_pos;
      guint      has_selection : 1;
    };

`GtkOldEditable` is deprecated and should not be used in newly-written code.

## Property Details

### The `“editable”` property

      “editable”                 gboolean

Flags: Read / Write

Default value: FALSE

### The `“text-position”` property

      “text-position”            gint

Flags: Read / Write

Default value: 0

## Signal Details

### The `“activate”` signal

    void
    user_function (GtkOldEditable *oldeditable,
                   gpointer        user_data)

Flags: Action

### The `“copy-clipboard”` signal

    void
    user_function (GtkOldEditable *oldeditable,
                   gpointer        user_data)

Flags: Action

### The `“cut-clipboard”` signal

    void
    user_function (GtkOldEditable *oldeditable,
                   gpointer        user_data)

Flags: Action

### The `“kill-char”` signal

    void
    user_function (GtkOldEditable *oldeditable,
                   gint            arg1,
                   gpointer        user_data)

Flags: Action

### The `“kill-line”` signal

    void
    user_function (GtkOldEditable *oldeditable,
                   gint            arg1,
                   gpointer        user_data)

Flags: Action

### The `“kill-word”` signal

    void
    user_function (GtkOldEditable *oldeditable,
                   gint            arg1,
                   gpointer        user_data)

Flags: Action

### The `“move-cursor”` signal

    void
    user_function (GtkOldEditable *oldeditable,
                   gint            arg1,
                   gint            arg2,
                   gpointer        user_data)

Flags: Action

### The `“move-page”` signal

    void
    user_function (GtkOldEditable *oldeditable,
                   gint            arg1,
                   gint            arg2,
                   gpointer        user_data)

Flags: Action

### The `“move-to-column”` signal

    void
    user_function (GtkOldEditable *oldeditable,
                   gint            arg1,
                   gpointer        user_data)

Flags: Action

### The `“move-to-row”` signal

    void
    user_function (GtkOldEditable *oldeditable,
                   gint            arg1,
                   gpointer        user_data)

Flags: Action

### The `“move-word”` signal

    void
    user_function (GtkOldEditable *oldeditable,
                   gint            arg1,
                   gpointer        user_data)

Flags: Action

### The `“paste-clipboard”` signal

    void
    user_function (GtkOldEditable *oldeditable,
                   gpointer        user_data)

Flags: Action

### The `“set-editable”` signal

    void
    user_function (GtkOldEditable *oldeditable,
                   gboolean        arg1,
                   gpointer        user_data)

Flags: Action